declare namespace CollectionAndWrongType {
  // enum CarType {
  //   a = "小车",
  //   b = "客车",
  //   c = "货车",
  //   d = "摩托车",
  // }
  type type = "collection" | "wrong";
  type CarType = "小车" | "客车" | "货车" | "摩托车";
  type Km = "科目一" | "科目二" | "科目三" | "科目四";

  interface Question {
    carType: CarType;
    km: Km;
    questionId: number;
  }
  interface listParamse extends Common.Paging{
    km: number;

  }

  interface ListParams extends Common.Paging {
    km: number;
  }

  interface QuestionRes extends Question {
    id: number;
    userId: number;
  }
 //旧格式
  interface ListRes extends Common.Res {
    rows: QuestionRes[];
    total: number;
  }
  //本地保存后改为新格式
  interface localListRes extends Common.Res {
    data: {id:number,timestamp:number}[];
   
  }

  type AddCullectionsParams = Question[];

  interface AddCullectionsRes extends Common.Res {
    data: number;
  }
}
